.footer {
  background: #000000;
  padding-top: 38px;
  padding-bottom: 47px;
  .container {
    text-align: center;
  }
  @media (min-width: 768px) {
    padding-top: 57px;
    padding-bottom: 57px;
  }
  @media (min-width: 1200px) {
    padding-top: 66px;
    padding-bottom: 70px;
  }
}

.footer__title {
  font-size: 14px;
  line-height: 22px;
  font-weight: 700;
  text-transform: uppercase;
  color: $footer-title-color;
  margin-top: 0;
  margin-bottom: 8px;
}
.footer__text {
  font-size: 12px;
  line-height: 20px;
  font-weight: 400;
  color: $footer-text-color;
  margin-top: 0;
  margin-bottom: 0;
}
.footer__icon {
  border: 2px solid transparent;
  border-radius: 50%;
  width: 34px;
  height: 34px;
}
.footer__icon--color-orange {
  border-color: orange;
}
.footer__icon-rss {
  background: url("/dist/images/Icons/rss-icon.png") no-repeat;
  padding: 11px;
  background-position: center;
}
.footer__icon--color-blue {
  border-color: #39599f;
}
.footer__icon-facebook {
  background: url("/dist/images/Icons/facebook-icon.png") no-repeat;
  padding: 11px 14px;
  background-position: center;
}
.footer__icon--color-lightblue {
  border-color: #45b0e3;
}
.footer__icon-twitter {
  background: url("/dist/images/Icons/twitter-icon.png") no-repeat;
  padding: 11px 13px;
  background-position: center;
}
.footer__icon--color-pink {
  border-color: #d97ab0;
}
.footer__icon-dribbble {
  background: url("/dist/images/Icons/dribbble-icon.png") no-repeat;
  padding: 11px;
  background-position: center;
}
.footer__icon--color-red {
  border-color: #cc212c;
}
.footer__icon-pinterest {
  background: url("/dist/images/Icons/pinterest-icon.png") no-repeat;
  padding: 11px 12px;
  background-position: center;
}
.footer__text--appearing {
  display: none;
  @media (min-width: 768px) {
    display: inline-block;
  }
}
.footer__social-wrapper {
  margin: 0 auto;
  margin-top: 26px;
  margin-bottom: 25px;
  max-width: 192px;
  display: flex;
  justify-content: space-between;
}
.footer__info-link {
  position: relative;
  font-size: 14px;
  line-height: 24px;
  font-weight: 400;
  display: inline-block;
  margin-bottom: 0;
  margin-top: 0;
  color: $footer-text-color;
  text-decoration: none;
  &:hover {
    color: #fff;
  }
  &:not(:last-of-type)::after {
    content: "";
    position: absolute;
    width: 1px;
    height: 11px;
    transform: rotate(20deg);
    background-color: $footer-text-color;
    right: -11px;
    top: 5px;
  }
  @media (min-width: 768px) {
    &:not(:last-of-type) {
      margin-right: 22px;
    }
    &:not(:last-of-type)::after {
      content: "";
      position: absolute;
      width: 1px;
      height: 11px;
      transform: rotate(20deg);
      background-color: $footer-text-color;
      right: -14px;
      top: 7px;
    }
  }
}
